Package gcc4.5

Source package: gcc4.5
Version: 4.5.4-alt2
Build time:  Jul 19, 2013, 04:25 AM
Category: Development/C
Report package bug
License:  GPLv3+, GPLv3+ with exceptions and GPLv2+ with exceptions
Summary:  GNU Compiler Collection
Description: 
This package contains the GNU Compiler Collection version 4.5.4.
You'll need this package in order to compile C code.
It is also required for all other GCC compilers.

If you have multiple versions of the GNU Compiler Collection
installed on your system, you may want to execute
gcc-4.5
in order to explicitly use the GNU C compiler version 4.5.4.
List of rpms provided by this srpm: 
cpp4.5 (x86_64, i586)
cpp4.5-debuginfo (x86_64, i586)
gcc4.5 (x86_64, i586)
gcc4.5-c++ (x86_64, i586)
gcc4.5-c++-debuginfo (x86_64, i586)
gcc4.5-debuginfo (x86_64, i586)
gcc4.5-doc (noarch)
gcc4.5-fortran (x86_64, i586)
gcc4.5-fortran-debuginfo (x86_64, i586)
gcc4.5-java (x86_64, i586)
gcc4.5-java-debuginfo (x86_64, i586)
gcc4.5-locales (noarch)
gcc4.5-objc (x86_64, i586)
gcc4.5-objc++ (x86_64, i586)
gcc4.5-objc++-debuginfo (x86_64, i586)
gcc4.5-objc-debuginfo (x86_64, i586)
gcc4.5-plugin-devel (x86_64, i586)
libgcj4.5 (x86_64, i586)
libgcj4.5-debuginfo (x86_64, i586)
libgcj4.5-devel (x86_64, i586)
libgcj4.5-jar (noarch)
libgcj4.5-plugins (x86_64, i586)
libgcj4.5-plugins-debuginfo (x86_64, i586)
libgcj4.5-src (noarch)
libgfortran4.5-devel (x86_64, i586)
libgfortran4.5-devel-static (x86_64, i586)
libgomp4.5-devel (x86_64, i586)
libgomp4.5-devel-static (x86_64, i586)
libmudflap4.5-devel (x86_64, i586)
libmudflap4.5-devel-static (x86_64, i586)
libobjc2 (x86_64, i586)
libobjc2-debuginfo (x86_64, i586)
libobjc4.5-devel (x86_64, i586)
libobjc4.5-devel-static (x86_64, i586)
libstdc++4.5-devel (x86_64, i586)
libstdc++4.5-devel-static (x86_64, i586)
Last changes:
July 18, 2013 Dmitry V. Levin 4.5.4-alt2
- libstdc++4.5-devel: backported upstream fix for gcc#25306
  (closes: #29186).
Aug. 27, 2012 Dmitry V. Levin 4.5.4-alt1
- Merged with gcc-4_5-branch@189152.
- Define _FORTIFY_SOURCE only for optimization level 2 or higher.
May 16, 2012 Sergey Bolshakov 4.5.3-alt4
- rebuilt to coexist with gcc4.6

Back to Top